com.sun.jna.platform.win32

## Class SetupApi.SP_DEVINFO_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.SetupApi.SP_DEVINFO_DATA

Direct Known Subclasses:
  SetupApi.SP_DEVICE_INTERFACE_DATA.ByReference, SetupApi.SP_DEVINFO_DATA.ByReference

Enclosing interface:
  SetupApi

    @Structure.FieldOrder(value={"cbSize","InterfaceClassGuid","DevInst","Reserved"})
    public static class SetupApi.SP_DEVINFO_DATA
    extends Structure

An SP_DEVINFO_DATA structure defines a device instance that is a member of a device information set.

### Nested Class Summary

Nested Classes
`static class` `SetupApi.SP_DEVINFO_DATA.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbSize` The size, in bytes, of the SP_DEVINFO_DATA structure.
`int` `DevInst` An opaque handle to the device instance (also known as a handle to the devnode).
`Guid.GUID` `InterfaceClassGuid` The GUID of the device's setup class.
`Pointer` `Reserved` Reserved.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SP_DEVINFO_DATA()`
`SP_DEVINFO_DATA(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public int cbSize

The size, in bytes, of the SP_DEVINFO_DATA structure.

#### InterfaceClassGuid

    public Guid.GUID InterfaceClassGuid

The GUID of the device's setup class.

#### DevInst

    public int DevInst

An opaque handle to the device instance (also known as a handle to the devnode). Some functions, such as SetupDiXxx functions, take the whole SP_DEVINFO_DATA structure as input to identify a device in a device information set. Other functions, such as CM_Xxx functions like CM_Get_DevNode_Status, take this DevInst handle as input.

#### Reserved

    public Pointer Reserved

Reserved. For internal use only.

### Constructor Detail

#### SP_DEVINFO_DATA

    public SP_DEVINFO_DATA()

#### SP_DEVINFO_DATA

    public SP_DEVINFO_DATA(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.